Bug 1311570 - (CVE-2016-2549) CVE-2016-2549 kernel: sound: spinlock lockup in sound/core/timer.c
CVE-2016-2549 kernel: sound: spinlock lockup in sound/core/timer.c
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20160119,reported=2...
: Security
Depends On: 1311573
Blocks: 1311575
  Show dependency treegraph
 
Reported: 2016-02-24 08:34 EST by Andrej Nemec
Modified: 2016-05-16 08:58 EDT (History)
33 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-11 13:36:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrej Nemec 2016-02-24 08:34:48 EST
Function hrtimer_cancel() waits for the completion from the callback, thus it must not be called inside the callback itself. This was already a problem in the past with ALSA hrtimer driver, and the early commit [fcfdebe70759: ALSA: hrtimer - Fix lock-up] tried to address it.

Upstream patch:

http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=2ba1fe7a06d3624f9a7586d672b55f08f7c670f3

Original report:

http://marc.info/?l=linux-kernel&m=145271261602328

http://marc.info/?l=linux-kernel&m=145288522219596

http://marc.info/?t=145269725600010&r=1&w=2

CVE-ID request and assignment:

http://seclists.org/oss-sec/2016/q1/133

http://seclists.org/oss-sec/2016/q1/410
Comment 1 Andrej Nemec 2016-02-24 08:39:00 EST
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1311573]
Comment 2 Josh Boyer 2016-02-24 09:06:26 EST
This was fixed in 4.3.5 with:

commit 5d10aae7acaf91cdc6fdd5a3d4506af5f6ec957c
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Jan 18 13:52:47 2016 +0100

    ALSA: hrtimer: Fix stall by hrtimer_cancel()
    
    commit 2ba1fe7a06d3624f9a7586d672b55f08f7c670f3 upstream.
    

and in 4.4.1 with:

commit dafa57ee81748f6a6950c06f19a160d0a209795e
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Jan 18 13:52:47 2016 +0100

    ALSA: hrtimer: Fix stall by hrtimer_cancel()
    
    commit 2ba1fe7a06d3624f9a7586d672b55f08f7c670f3 upstream.
    

All Fedora branches are on those or newer.  This issue is fixed in Fedora.
Comment 4 Vladis Dronov 2016-03-11 13:36:43 EST
Statement:

This issue does not affect the Linux kernel packages as shipped with Red Hat Enterprise Linux 5, as the code with the flaw is not present in the products listed.

This issue affects the Linux kernel packages as shipped with Red Hat Enterprise Linux 6, 7 and MRG-2. This has been rated as having Low security impact and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.

Note You need to log in before you can comment on or make changes to this bug.